function calcFontSize(number: number) {
  return `${number / 16}em`;
}

export const typography = {
  family: 'Avenir Next, sans-serif',
  lineHeight: {
    heading: 1.3,
    body: 1.7
  },
  heading: {
    size: {
      tiny: `calc(${calcFontSize(12)} + 0.5vw)`,
      small: `calc(${calcFontSize(14)} + 0.5vw)`,
      regular: `calc(${calcFontSize(16)} + 0.5vw)`,
      medium: `calc(${calcFontSize(28)} + 0.5vw)`,
      big: `calc(${calcFontSize(48)} + 0.5vw)`,
      large: `calc(${calcFontSize(60)} + 0.5vw)`,
      xl: `calc(${calcFontSize(90)} + 0.5vw)`
    }
  },
  body: {
    size: {
      tiny: `calc(${calcFontSize(12)} + 0.1vw)`,
      small: `calc(${calcFontSize(14)} + 0.1vw)`,
      regular: `calc(${calcFontSize(16)} + 0.1vw)`,
      medium: `calc(${calcFontSize(18)} + 0.1vw)`,
      large: `calc(${calcFontSize(20)} + 0.1vw)`
    }
  },
  weight: {
    light: '100',
    thin: '300',
    regular: '400',
    medium: '500',
    bold: '600',
    thick: '700'
  }
};
